Pular para o conteúdo principal
POST
/
api
/
v1
/
authorization
/
git
/
check
Verifique uma permissão explícita do sujeito
curl --request POST \
  --url https://apigw.mka1.com/api/v1/authorization/git/check \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subjectId": "<string>",
  "resourceType": "repo",
  "resourceId": "<string>"
}
'
import requests

url = "https://apigw.mka1.com/api/v1/authorization/git/check"

payload = {
"subjectId": "<string>",
"resourceType": "repo",
"resourceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subjectId: '<string>', resourceType: 'repo', resourceId: '<string>'})
};

fetch('https://apigw.mka1.com/api/v1/authorization/git/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "allowed": true
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Corpo

application/json
subjectId
string
obrigatório

Identificador único para o usuário ou "*" para conceder/revogar acesso público

Required string length: 1 - 169
resourceType
enum<string>
obrigatório

Tipo de recurso git

Opções disponíveis:
repo
resourceId
string
obrigatório

Identificador único para o recurso

Required string length: 1 - 79
role
enum<string>
obrigatório

Função de permissão para o recurso (proprietário > escritor > leitor)

Opções disponíveis:
owner,
writer,
reader

Resposta

Permissão verificada com sucesso

allowed
boolean
obrigatório

Se o sujeito possui a permissão especificada